> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arouter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 対応プロバイダー

> ARouter で利用可能なすべての LLM プロバイダーと、対応モデルおよびエンドポイント。

## プロバイダー一覧

ARouter は以下のプロバイダーをサポートしています。すべてのプロバイダーは OpenAI 互換の `/v1/chat/completions` エンドポイントから `provider/model` 形式でアクセスできます。

<AccordionGroup>
  <Accordion title="OpenAI" icon="bolt">
    **Provider ID:** `openai`

    | モデル            | 説明                |
    | -------------- | ----------------- |
    | `gpt-5.4`      | フラッグシップマルチモーダルモデル |
    | `gpt-5.4-mini` | 高速かつコスト効率が高い      |
    | `gpt-5.4-nano` | 超軽量、分類・抽出に最適      |
    | `o4-mini`      | 最新のコンパクト推論モデル     |
    | `o3`           | 高度な推論モデル          |

    ```python theme={null}
    response = client.chat.completions.create(
        model="openai/gpt-5.4",
        messages=[{"role": "user", "content": "Hello!"}],
    )
    ```
  </Accordion>

  <Accordion title="Anthropic" icon="brain">
    **Provider ID:** `anthropic`

    | モデル                 | 説明                       |
    | ------------------- | ------------------------ |
    | `claude-sonnet-4.6` | 最新 Sonnet — 最もバランスの取れた性能 |
    | `claude-opus-4.6`   | 最も高性能な Claude モデル        |
    | `claude-haiku-4.5`  | 高速かつ軽量                   |

    OpenAI 互換エンドポイントと Anthropic ネイティブエンドポイントの両方に対応：

    ```python theme={null}
    # OpenAI SDK 経由
    response = client.chat.completions.create(
        model="anthropic/claude-sonnet-4.6", ...
    )

    # Anthropic SDK 経由（ネイティブ）
    message = anthropic_client.messages.create(
        model="claude-sonnet-4.6", ...
    )
    ```
  </Accordion>

  <Accordion title="Google Gemini" icon="wand-magic-sparkles">
    **Provider ID:** `google`

    | モデル                | 説明                            |
    | ------------------ | ----------------------------- |
    | `gemini-2.5-flash` | 思考機能内蔵の高速マルチモーダルモデル           |
    | `gemini-2.5-pro`   | 最も高性能な Gemini モデル、1M コンテキスト対応 |

    OpenAI 互換エンドポイントと Gemini ネイティブエンドポイントの両方に対応：

    ```python theme={null}
    # OpenAI SDK 経由
    response = client.chat.completions.create(
        model="google/gemini-2.5-flash", ...
    )

    # Gemini SDK 経由（ネイティブ）
    model = genai.GenerativeModel("gemini-2.5-flash")
    response = model.generate_content("Hello!")
    ```
  </Accordion>

  <Accordion title="DeepSeek" icon="microchip">
    **Provider ID:** `deepseek`

    | モデル             | 説明                               |
    | --------------- | -------------------------------- |
    | `deepseek-v3.2` | フラッグシップ汎用モデル — GPT-5 クラスを低コストで実現 |
    | `deepseek-r1`   | Chain-of-Thought 推論モデル           |

    ```python theme={null}
    response = client.chat.completions.create(
        model="deepseek/deepseek-v3.2", ...
    )
    ```
  </Accordion>

  <Accordion title="xAI (Grok)" icon="robot">
    **Provider ID:** `x-ai`

    | モデル             | 説明                      |
    | --------------- | ----------------------- |
    | `grok-4.20`     | 最新フラッグシップモデル、最低幻覚率      |
    | `grok-4.1-fast` | 超高速モデル、2M コンテキストウィンドウ対応 |

    ```python theme={null}
    response = client.chat.completions.create(
        model="x-ai/grok-4.20", ...
    )
    ```
  </Accordion>

  <Accordion title="Mistral" icon="wind">
    **Provider ID:** `mistralai`

    | モデル                  | 説明                                   |
    | -------------------- | ------------------------------------ |
    | `mistral-large-2512` | Mistral Large 3 — 最も高性能な Mistral モデル |
    | `mistral-medium-3.1` | 性能とコストのバランス                          |
    | `codestral-2508`     | コード生成に最適化                            |

    ```python theme={null}
    response = client.chat.completions.create(
        model="mistralai/mistral-large-2512", ...
    )
    ```
  </Accordion>

  <Accordion title="Groq" icon="gauge-high">
    **Provider ID:** `groq`

    | モデル                           | 説明                                        |
    | ----------------------------- | ----------------------------------------- |
    | `meta-llama/llama-4-maverick` | Groq 上の Llama 4 Maverick — マルチモーダル、超高速    |
    | `meta-llama/llama-4-scout`    | Groq 上の Llama 4 Scout — 1000 万コンテキストウィンドウ |

    ```python theme={null}
    response = client.chat.completions.create(
        model="groq/meta-llama/llama-4-maverick", ...
    )
    ```
  </Accordion>

  <Accordion title="Kimi (Moonshot)" icon="moon">
    **Provider ID:** `moonshotai`

    | モデル         | 説明                              |
    | ----------- | ------------------------------- |
    | `kimi-k2.5` | 最新 Kimi フラッグシップ — ビジョン対応マルチモーダル |

    ```python theme={null}
    response = client.chat.completions.create(
        model="moonshotai/kimi-k2.5", ...
    )
    ```
  </Accordion>

  <Accordion title="MiniMax" icon="minimize">
    **Provider ID:** `minimax`

    | モデル            | 説明                     |
    | -------------- | ---------------------- |
    | `minimax-m2.7` | 最新フラッグシップ — 長文コンテキスト推論 |

    MiniMax ネイティブエンドポイントにも対応：

    ```python theme={null}
    response = client.chat.completions.create(
        model="minimax/minimax-m2.7", ...
    )
    ```
  </Accordion>

  <Accordion title="Meta Llama" icon="layer-group">
    **Provider ID:** `meta-llama`

    | モデル                | 説明                                            |
    | ------------------ | --------------------------------------------- |
    | `llama-4-maverick` | Llama 4 フラッグシップ — ネイティブマルチモーダル、128K コンテキスト    |
    | `llama-4-scout`    | Llama 4 Scout — 1000 万コンテキストウィンドウ、単一 GPU で効率的 |

    ```python theme={null}
    response = client.chat.completions.create(
        model="meta-llama/llama-4-maverick", ...
    )
    ```
  </Accordion>

  <Accordion title="Qwen（Alibaba）" icon="circle-nodes">
    **Provider ID:** `qwen`

    | モデル                 | 説明                               |
    | ------------------- | -------------------------------- |
    | `qwen3.5-397b-a17b` | Qwen 3.5 フラッグシップ — 動画理解対応マルチモーダル |
    | `qwen3-coder`       | 4800 億パラメータのコーディング専門モデル          |

    ```python theme={null}
    response = client.chat.completions.create(
        model="qwen/qwen3.5-397b-a17b", ...
    )
    ```
  </Accordion>
</AccordionGroup>

## 利用可能なモデルの一覧取得

models エンドポイントを使用して、現在の API key でアクセスできるすべてのモデルを確認できます：

```bash theme={null}
curl https://api.arouter.ai/v1/models \
  -H "Authorization: Bearer lr_live_xxxx"
```

レスポンス例：

```json theme={null}
{
  "object": "list",
  "data": [
    {
      "id": "openai/gpt-5.4",
      "object": "model",
      "owned_by": "openai"
    },
    {
      "id": "anthropic/claude-sonnet-4.6",
      "object": "model",
      "owned_by": "anthropic"
    }
  ]
}
```

<Note>
  モデル一覧は API key の `allowed_providers` 設定に基づいてフィルタリングされます。
  key でプロバイダーが制限されている場合、許可されたプロバイダーのモデルのみが表示されます。
</Note>
